@each $d, $dv in $tab-display {
    $display: if($dv == none, "hide", "d-");
    $label: if($dv == none, "", $d);

    @each $s, $sv in $tab-screen {
        $condition-less-and-more: if($sv == $medium-screen or $sv == $large-screen or $sv == $xlarge-screen, 0, 1);

        @include media-screen($s) {
            $infix: infix-elt($s, $tab-screen);
            $title: $infix + $display + $label;

            @if $condition-less-and-more == 1 {
                .#{$title} { display: $dv !important; }
            } @else {
                .#{$title}-more { display: $dv !important; }
            }
        }

        @if $condition-less-and-more == 0 {
            $next-screen-value: map-get($tab-screen, screen-next($s));
            $title: $s + "\\:"+ $display + $label;

            @media only screen and (min-width: #{$sv}) and (max-width: #{$next-screen-value}) {
                .#{$title} { display: $dv !important; }
            }

            @media only screen and (max-width: #{$next-screen-value}) {
                .#{$title}-less { display: $dv !important; }
            }
        }
    }
}
